Annonce

  •  » Plugins
  •  » [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

#1 2009-04-05 19:04:06

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

[Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Bonjour à tous et toutes.

Voici une migration du plugin original NBC_UserAdvManager de Nicco vers Piwigo : [extension by Eric] UserAdvManager

Il s'agit d'une version beta car tous les tests n'ont pas encore été effectués dans tous les cas de figure. Mais je pense qu'il n'y a pas trop de bug bloquant ;-)

Certaines fonctionnalités présentes dans le plugin de Nicco ont été supprimées car intégrées dans Piwigo (ex : email obligatoire et email unique). Les fichiers de langue FR et EN (pour l'instant) ont été revus.

Attention ! Il n'y a pas de récupération des paramètres de NBC_UserAdvManager vers ce plugin. Il faut donc penser à recopier les paramètres avant de supprimer l'ancien plugin.

[Edit du 20/04/09]

Nicco m'ayant promu co-auteur de son plugin, j'ai effectué le merge qui s'imposait. Donc, exit UserAdvancedManager V2.x.x remplacé par NBC_UserAdvancedManager V2.10.x.

[/Edit]

Dernière modification par Eric (2009-04-20 23:05:52)

Hors ligne

 

#2 2009-04-06 07:48:04

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1056

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Bonjour à toi,

Sur le site installé pour un copain (site installé en 2.0 directement), j'ai le message suivant quand je clique sur le plugin :

Warning: Smarty error: unable to read resource: "/home/themesco/public_html/parking/plugins/UserAdvManager/admin./UserAdvManager_admin.tpl" in /home/themesco/public_html/parking/include/smarty/libs/Smarty.class.php on line 1092

Edit : (Zut je ne parle pas de mon site...) donc voici le lien

Dernière modification par Pierrot_Rennes (2009-04-06 07:50:34)


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.10.1 - PHP: 7.3.6 - MySQL: 5.7.23.23-log - ImageMagick 6.9.7-4
(Hébergeur : Gandi)

Hors ligne

 

#3 2009-04-06 10:03:26

VDigital
Former Piwigo Team
Paris (FR)
2005-05-04
15124

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Eric,

http://themescollections.net/parking/pl … _admin.tpl
existe bel et bien...
=> uniquement un pb de "." en trop.

/admin./UserAdvManager_admin.tpl


Vincent -« Plus vidéaste averti que photographe amateur... »
La galerie - Le blog   

Piwigo est une application libre de gestion de photos en ligne.

Hors ligne

 

#4 2009-04-06 17:14:59

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Pb vu, repéré et corrigé. Bizarre que je n'ai pas remarqué çà chez moi lors de mes tests initiaux...

=> Nouvelle release 2.0.1-beta : [extension by Eric] UserAdvManager

[HS] Je n'arrive pas à faire un lien directement vers la révision (rid=1062). Normal ?[/HS]

Dernière modification par Eric (2009-04-20 23:06:13)

Hors ligne

 

#5 2009-04-06 17:23:26

VDigital
Former Piwigo Team
Paris (FR)
2005-05-04
15124

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Eric a écrit:

[HS] Je n'arrive pas à faire un lien directement vers la révision (rid=1062). Normal ?[/HS]

[HS] Normal, et ce n'est pas plus mal car certains suivaient des liens du forum sur des "rid" sans se rendre compte que des releases plus récentes étaient disponibles. Au moins, maintenant nous sommes tranquilles. ;-) [/HS]


Vincent -« Plus vidéaste averti que photographe amateur... »
La galerie - Le blog   

Piwigo est une application libre de gestion de photos en ligne.

Hors ligne

 

#6 2009-04-06 20:52:09

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

VDigital a écrit:

Eric a écrit:

[HS] Je n'arrive pas à faire un lien directement vers la révision (rid=1062). Normal ?[/HS]

[HS] Normal, et ce n'est pas plus mal car certains suivaient des liens du forum sur des "rid" sans se rendre compte que des releases plus récentes étaient disponibles. Au moins, maintenant nous sommes tranquilles. ;-) [/HS]

[HS suite et fin]Ok, effectivement, çà évite les impairs ;-)

Allez, je me lance maintenant dans la migration d'un autre plugin de l'ami Nicco (NBC_News) mais çà risque d'être un peu plus long...
[/HS]

Hors ligne

 

#7 2009-04-07 08:55:19

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1056

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Eric a écrit:

Pb vu, repéré et corrigé. Bizarre que je n'ai pas remarqué çà chez moi lors de mes tests initiaux...

=> Nouvelle release 2.0.1-beta : [extension by ]

[HS] Je n'arrive pas à faire un lien directement vers la révision (rid=1062). Normal ?[/HS]

Bonjour,

Comme quoi rien ne vaut les testes en dynamiques lolll ;-)

Merci pour ta correction, ça marche impec !!!

Bon courage pour NBC_News attendu avec impatience


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.10.1 - PHP: 7.3.6 - MySQL: 5.7.23.23-log - ImageMagick 6.9.7-4
(Hébergeur : Gandi)

Hors ligne

 

#8 2009-04-07 20:38:22

sakkhho
Membre
Paris
2007-04-02
1836

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

merci eric.
et bravo. j'aurai jamais eut le tps de le faire.

+


Piwigo 2.3.5

Hors ligne

 

#9 2009-04-14 00:28:55

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Nouvelle version 2.0.2-beta du plugin ([extension by Eric] UserAdvManager) : Correction d'un petit bug au niveau de l'affichage de la page de confirmation de validation de l'email pour un nouvel inscrit.

NB : Je vais essayer de faire en sorte que cette page soit plus jolie. A suivre...

Dernière modification par Eric (2009-04-20 23:06:29)

Hors ligne

 

#10 2009-04-23 11:16:44

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Bonjour,

Je rencontre un soucis lorsque j'active le plugin.
Ca me donne un écran blanc avec le message suivant:

Fatal error: Cannot redeclare useradvmanager_adduser() (previously declared in /mnt/141/sda/1/4/imageairsoft/Galerie/plugins/UserAdvManager/main.inc.php:79) in /mnt/141/sda/1/4/imageairsoft/Galerie/plugins/NBC_UserAdvManager/main.inc.php on line 87

C'est grave docteur ?


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

 

#11 2009-04-23 12:44:22

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Gotcha a écrit:

Bonjour,

Je rencontre un soucis lorsque j'active le plugin.
Ca me donne un écran blanc avec le message suivant:

Fatal error: Cannot redeclare useradvmanager_adduser() (previously declared in /mnt/141/sda/1/4/imageairsoft/Galerie/plugins/UserAdvManager/main.inc.php:79) in /mnt/141/sda/1/4/imageairsoft/Galerie/plugins/NBC_UserAdvManager/main.inc.php on line 87

Il faut désactiver et désinstaller l'ancien plugin UserAdvancedManager et ne conserver que NBC_UserAdvancedManager.

Il est vrai que j'aurai dû mentionner cela...

Hors ligne

 

#12 2009-04-23 12:48:39

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Impeccable, ça fonctionne mieux maintenant ^^

Merci.


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

 

#13 2009-04-23 12:53:25

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

:-)

Eric a écrit:

Il faut désactiver et désinstaller l'ancien plugin UserAdvancedManager et ne conserver que NBC_UserAdvancedManager.

Il est vrai que j'aurai dû mentionner cela...

Voila qui est fait.

Dernière modification par Eric (2009-04-23 13:03:15)

Hors ligne

 

#14 2009-07-16 23:23:55

mtgt
Membre
monde
1970-01-01
224

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Bonjour,,

Lorsque je change de thème j'ai cette erreur qui s'affiche.

Code:

Notice: Undefined index: recent_period in /home/mtgt69/public_html/voyage-australie-nz/galerie/plugins/NBC_UserAdvManager/main.inc.php on line 295

Warning: Cannot modify header information - headers already sent by (output started at /home/mtgt69/public_html/voyage-australie-nz/galerie/plugins/NBC_UserAdvManager/main.inc.php:295) in /home/mtgt69/public_html/voyage-australie-nz/galerie/include/page_header.php on line 98

En revanche lorsque je désactive "NBC_UserAdvancedManager", je n'ai plus l'erreur.

J'ai bien vérifié dans la liste des plugins par ftp que je n'avais plus l'ancienne version "UserAdvancedManager"
En attendant, j'ai désactivé le plugins. Si il ya besoin que je le réactive pour des tests, ne pas hésiter ;)

En espérant que cela aide !

Hors ligne

 

#15 2009-08-04 17:53:18

Eric
Équipe Piwigo
VALENCE (FR)
2005-03-25
4579

Re: [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

mtgt a écrit:

Bonjour,,

Lorsque je change de thème j'ai cette erreur qui s'affiche.

Code:

Notice: Undefined index: recent_period in /home/mtgt69/public_html/voyage-australie-nz/galerie/plugins/NBC_UserAdvManager/main.inc.php on line 295

Warning: Cannot modify header information - headers already sent by (output started at /home/mtgt69/public_html/voyage-australie-nz/galerie/plugins/NBC_UserAdvManager/main.inc.php:295) in /home/mtgt69/public_html/voyage-australie-nz/galerie/include/page_header.php on line 98

En revanche lorsque je désactive "NBC_UserAdvancedManager", je n'ai plus l'erreur.

J'ai bien vérifié dans la liste des plugins par ftp que je n'avais plus l'ancienne version "UserAdvancedManager"
En attendant, j'ai désactivé le plugins. Si il ya besoin que je le réactive pour des tests, ne pas hésiter ;)

En espérant que cela aide !

Bonjour.

Les vacances sont terminées :-((
Et je suis de retour sur le forum mais sans grand temps libre... Je vais tâcher de voir ton problème au mieux.

Tout d'abord, tu parles de thèmes. Mais des quels s'agit-il ? Personnellement, je n'utilise que les thèmes standards de Piwigo et je n'ai aucun souci avec le plugin lorsque je bascule d'un thème à l'autre.

Il doit surement y avoir un / des thèmes incompatibles qui devraient nécessiter une mise à niveau.

Hors ligne

 
  •  » Plugins
  •  » [Plugin] NBC_UserAdvancedManager (Ex UserAdvancedManager)

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2020 · Contact